> ## Documentation Index
> Fetch the complete documentation index at: https://docs.oculusproxies.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Proxy Errors Troubleshooting

> Explore the catalog of Oculus Proxies HTTP errors, including error codes, descriptions, and actions to resolve common proxy issues.

## Proxy Configuration Format

Please note that Oculus Proxies currently supports proxy configurations only in the `host:ip` format. The commonly used `ip:port` format is **not supported** and will result in connection errors. Ensure you use the server’s hostname followed by its IP address for proper integration.

## HTTP Header Fields

The following fields are returned upon and `HTTP` or `HTTPS` requests:

| Field            | Description                           | Examples                                                             |
| :--------------- | :------------------------------------ | :------------------------------------------------------------------- |
| `HTTP Error`     | The protocol error numbers            | `404` or `502`                                                       |
| `x-tlp-err-code` | Oculus module and error code number   | `client_10001`                                                       |
| `x-tlp-error`    | Oculus main error message             | Authentication failed                                                |
| `x-tlp-err-msg`  | Oculus elaborated message and actions | Authentication failed. Check your credentials or your account status |

### Getting HTTP header fields

#### Testing from command line

To view and test your settings, or restoring an issue, you can run a `curl` command from your shell prompt and add the option flag `-v` or `i`. These flags will run curl in verbose mode and print out the header fields, including the custom error code and message.

```
curl -v [rest of curl command options]
```

To see a more compact view with the header fields response only use the `-i` option for curl:

```
curl -i [rest of curl command options]
```

#### `curl` Command snippet

`curl` command snippet, with all required zone parameters is available in the Overview tab in Oculus Proxies control panel for the zone you are working on.

#### Via Programming Languages

These HTTP headers can be accessed in any programming language in the same way you would handle standard HTTP headers.

## Error Codes Explained

### **HTTP Error 400 – Bad Request**

| x-tlp-err-code | x-tlp-error                                              | x-tlp-err-msg                                                                                                                                     |
| :------------- | :------------------------------------------------------- | :------------------------------------------------------------------------------------------------------------------------------------------------ |
| `client_10060` | Proxy Error: ip\_requested\_not\_allocated\_by\_customer | Requested IP `##.##.##.##` is not allocated to this zone. Select an IP that is allocated to this zone or skip the -ip parameter in proxy username |

### **HTTP Error 401 – Unauthorized**

| x-tlp-err-code | x-tlp-error                       | x-tlp-err-msg                     |
| :------------- | :-------------------------------- | :-------------------------------- |
| `client_10050` | Auth failed: IP blacklisted \[IP] | Auth Failed IP blacklisted: \[IP] |

### **HTTP Error 403 – Forbidden**

| x-tlp-err-code | x-tlp-error                                                  | x-tlp-err-msg                                                                                                                                                       |
| :------------- | :----------------------------------------------------------- | :------------------------------------------------------------------------------------------------------------------------------------------------------------------ |
| `client_10070` | No Protocol                                                  | Protocol was missing from original request. Please add either HTTP or HTTPS and retry                                                                               |
| `client_10080` | No Destination Host                                          | No destination host. Destination host is missing or incorrect. Check your request parameters and try again                                                          |
| `client_10090` | You are trying to use Scraping Browser zone as regular proxy | You are trying to use Scraping Browser zone as regular proxy. A browser should be used to access this zone                                                          |
| `policy_20010` | Bad protocol                                                 | The protocol you are using to access our proxy is not supported. Oculus supports HTTP, HTTPS & SOCKS5 upon special approval. Please fix your protocol and try again |
| `policy_20020` | Bad port                                                     | Bad Port used                                                                                                                                                       |

### **HTTP Error 407 – Proxy Authentication Required**

| x-tlp-err-code | x-tlp-error                   | x-tlp-err-msg                                                                                                           |
| :------------- | :---------------------------- | :---------------------------------------------------------------------------------------------------------------------- |
| `client_10000` | Authentication failed         | Invalid authentication: check credentials and retry. Oculus credentials include your account ID, zone name and password |
| `client_10001` | Invalid Auth                  | Invalid authentication: check credentials and retry                                                                     |
| `client_10010` | Proxy Authentication Required | No proxy credentials provided. Please add credentials and try again.                                                    |
| `client_10020` | Account is suspended          | Login to [https://oculusproxies.com/](https://oculusproxies.com/) to activate your account                              |
| `client_10030` | Authentication failed         | You are not allowed to access our API via this IP. Please verify your settings or whitelist this IP.                    |
| `client_10040` | KYC Required                  | KYC Required                                                                                                            |

### HTTP Error 429 – Too Many Requests

| x-tlp-err-code | x-tlp-error                                                      | x-tlp-err-msg                                                    |
| :------------- | :--------------------------------------------------------------- | :--------------------------------------------------------------- |
| `client_10110` | Your limited trial mode account exceeded the allowed rate limits | Your limited trial mode account exceeded the allowed rate limits |
